
// 
// This builds multiple versions of the app.
// 

dim appName as string = PropertyValue("App.MacOSXAppName")
dim path as string

// Build full versions.
constantValue("app.kFullVersion") = "true"

dim list() as string = array("English", "Spanish", "French")
dim name as string

for each name in list
buildLanguage = name

PropertyValue("App.MacOSXAppName") = appName + " " + buildLanguage
path = buildApp(7, false)

PropertyValue("App.WindowsAppName") = appName + " " + buildLanguage + ".exe"
path = buildApp(3, false)

PropertyValue("App.LinuxAppName") = appName + " " + buildLanguage
path = buildApp(4, false)
next

// Build demo versions.
constantValue("app.kFullVersion") = "false"

for each name in list
buildLanguage = name

PropertyValue("App.MacOSXAppName") = appName + " Demo " + buildLanguage
path = buildApp(7, false)

PropertyValue("App.WindowsAppName") = appName + " Demo " + buildLanguage + ".exe"
path = buildApp(3, false)

PropertyValue("App.LinuxAppName") = appName + " Demo " + buildLanguage
path = buildApp(4, false)
next

// Reset the defaults.
buildLanguage = "Default"
constantValue("app.kFullVersion") = "true"
PropertyValue("App.MacOSXAppName") = appName
PropertyValue("App.WindowsAppName") = appName + ".exe"
PropertyValue("App.LinuxAppName") = appName
